%define nagios_plugin_dir /usr/lib64/nagios/plugins/rutgers
%define secret_base /usr/local/lib64/nagios/plugins/rutgers/etc/shrunk

Name:           nagios-plugins-check-http-adaptor
Version:        1.2
Release:        2%{?dist}
Summary:        Script for checking nagios plugins via http
Group:          Applications/Archiving
License:        MIT
Source: nagios-plugins-check-http-adaptor-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
the script curls The check path on the server over https and supplies it with a secret for authentication.
the server should be congiured to have a cgi-script to run a nagios plugin on the check path
and validate the secret

%prep
%setup

%build

%install
mkdir -p $RPM_BUILD_ROOT%{nagios_plugin_dir}/
mkdir -p $RPM_BUILD_ROOT%{secret_base}
install -m755 $RPM_BUILD_DIR/%{name}-%{version}/check_http_adaptor $RPM_BUILD_ROOT%{nagios_plugin_dir}/
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/example $RPM_BUILD_ROOT%{secret_base}



%files
%{nagios_plugin_dir}/check_http_adaptor
%{secret_base}/example

%changelog
* Mon Apr 1 2019 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 1.2 - 2
- put plugin in corect folder
- add support for mangodb

* Wed Mar 13 2019 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 1.2
- changed flags to follow nagios convetions
- moved default secret dir

* Thu Feb 28 2019 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 1.1
- added insecure option because of the dns setup for em-shrunk1-prod

* Mon Feb 25 2019 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 1.0
- initial build for CentOS 7
